Skip to main content
Topic: [ADDON] ElkArte Ajax Chat (Read 22251 times) previous topic - next topic
0 Members and 2 Guests are viewing this topic.

Re: [ADDON] ElkArte Ajax Chat

Reply #75

Thank you for sharing!

 

Re: [ADDON] ElkArte Ajax Chat

Reply #76

When installing the latest version of the chat on the forum version 1.1.9, it gives an error - vsprintf(): Argument #2 ($values) must be of type array, string given

Re: [ADDON] ElkArte Ajax Chat

Reply #77

Which one did you install? @Spuds shared 1.1 just a few post before yours, though I am not sure that gonna work either as I have never installed it and it seems pretty old too.

Re: [ADDON] ElkArte Ajax Chat

Reply #78

Quote from: Vector – When installing the latest version of the chat on the forum version 1.1.9, it gives an error - vsprintf(): Argument #2 ($values) must be of type array, string given
That seems like a PHP 8 error.

Doing a quick look at the addon, it utilizes AJAX-Chat (by Blueimp) which I did find on GitHub.  However it has not been updated in 7 years, so its unlikely to work with PHP 8. 

This addon is really a wrapper around that program, so until the AJAX-Chat author decides to update that code, this addon is not going to work.  Perhaps there is a fork of that project that has been updated that could be used here, I did not look into that.